Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225580 - Example cluster.conf in cluster.conf(5) man page doesn't parse
Summary: Example cluster.conf in cluster.conf(5) man page doesn't parse
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: cman
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jonathan Earl Brassow
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 14:26 UTC by Steve Whitehouse
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-09 16:17:15 UTC


Attachments (Terms of Use)
The cluster config file I copied from the man page. (deleted)
2007-04-09 16:15 UTC, Jonathan Earl Brassow
no flags Details

Description Steve Whitehouse 2007-01-31 14:26:41 UTC
Description of problem:

If you copy & paste the example from the man page into a file and run it through
xmllint, you get the following errors:

/etc/test.conf:17: element device: Relax-NG validity error : Invalid attribute
ipaddr for element device
Relax-NG validity error : Extra element fence in interleave
/etc/test.conf:3: element clusternodes: Relax-NG validity error : Element
clusternode failed to validate content
/etc/test.conf:4: element clusternode: Relax-NG validity error : Element
clusternodes has extra content: clusternode
/etc/test.conf:2: element cman: Relax-NG validity error : Expecting element
clusternodes, got cman
/etc/test.conf:1: element cluster: Relax-NG validity error : Invalid sequence in
interleave
/etc/test.conf:1: element cluster: Relax-NG validity error : Element cluster
failed to validate content
/etc/test.conf:13: element device: validity error : IDREF attribute name
references an unknown ID "brocade"
/etc/test.conf:8: element device: validity error : IDREF attribute name
references an unknown ID "apc"
/etc/test.conf:17: element device: validity error : IDREF attribute name
references an unknown ID "last_resort"
/etc/test.conf:17: element device: validity error : IDREF attribute name
references an unknown ID "last_resort"
/etc/test.conf fails to validate

Comment 1 Jonathan Earl Brassow 2007-04-09 16:15:59 UTC
Created attachment 151995 [details]
The cluster config file I copied from the man page.

Comment 2 Jonathan Earl Brassow 2007-04-09 16:17:15 UTC
[~]$ uname -a
Linux hydrogen.msp.redhat.com 2.6.19-1.2895.fc6 #1 SMP Wed Jan 10 18:50:56 EST
2007 x86_64 x86_64 x86_64 GNU/Linux
[~]$ cat /etc/redhat-release
Fedora Core release 6 (Zod)
[~]$ xmllint foo.conf > /dev/null; echo $?
0



Note You need to log in before you can comment on or make changes to this bug.